/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.database;

import eu.univento.commons.Commons;
import io.vertx.redis.RedisClient;
import io.vertx.redis.RedisOptions;
import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */
public class Redis {

    @Getter private RedisClient client;

    public Redis(String host, int port, String password) {
        client = RedisClient.create(Commons.getCommons().getVertx(), new RedisOptions().setHost(host).setPort(port).setAuth(password));
    }
}